## debian-installer 20070308ubuntu40.15

=== debian/changelog ===
debian-installer (20070308ubuntu40.15) hardy-proposed; urgency=low

  * Move to 2.6.24-31 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Jul 2012 09:50:09 +0100

debian-installer (20070308ubuntu40.14) hardy-proposed; urgency=low

  * Move to 2.6.24-27 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 31 Mar 2010 09:54:30 +0100

debian-installer (20070308ubuntu40.13) hardy-proposed; urgency=low

  * Move to 2.6.24-26 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 Jan 2010 00:06:13 -0800

debian-installer (20070308ubuntu40.12) hardy-proposed; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 05 Oct 2009 09:27:37 +0100

debian-installer (20070308ubuntu40.11) hardy-proposed; urgency=low

  * Another no-change rebuild since the last one was accepted prematurely.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Jul 2009 16:55:33 +0100

debian-installer (20070308ubuntu40.10) hardy-proposed; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Jul 2009 16:09:51 +0100

debian-installer (20070308ubuntu40.9) hardy-proposed; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jun 2009 17:03:06 +0100

debian-installer (20070308ubuntu40.8) hardy-proposed; urgency=low

  * Move to 2.6.24-24 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Feb 2009 15:07:01 +0000

## debian-installer 20080522ubuntu23

=== build/Makefile ===
#!/usr/bin/make -f
#
# Debian Installer system makefile.
# Copyright 2001-2003 by Joey Hess <joeyh@debian.org> and the d-i team.
# Licensed under the terms of the GPL.
#
# This makefile builds a debian-installer system and bootable images from 
# a collection of udebs which it downloads from a Debian archive. See
# README for details.
#
#
# General layout of our build directory hierarchy
#
# build/config/[<subarch>/][<medium>/][<flavour>/]<leaf-config>
# build/tmp/[<subarch>/][<medium>/][<flavour>/]<build-area>
# build/dest/[<subarch>/][<medium>/][<flavour>-]<images>
#
# Items in brackets can be left out if they are superfluous.
#
# These following <image> names are conventional.
#
# For small changeable media (floppies and the like):
# - boot.img, root.img, driver.img
#
# For single bootable images (e.g. tftp boot images):
# - boot.img
#
# For compressed single bootable images (harddisk or hd emulation):
# - boot.img.gz
#
# If those are not bootable:
# - root.img.gz
#
# Raw kernel images:
# - vmlinux or vmlinuz
#
# Example:
#
# dest/
# |-- cdrom-boot.img
# |-- floppy
# |   |-- access
# |   |   |-- boot.img
# |   |   |-- drivers.img
# |   |   `-- root.img
# |   |-- boot.img
# |   |-- cd-drivers.img
# |   |-- net-drivers.img
# |   `-- root.img
# |-- hd-media-boot.img.gz
# `-- netboot
#     |-- initrd.gz
#     `-- vmlinuz
#

# Add to PATH so dpkg will always work, and so local programs will be found.
PATH := util:$(PATH):/usr/sbin:/sbin

# We don't want this to be run each time we re-enter.
ifndef DEB_HOST_ARCH
DEB_HOST_ARCH = $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU = $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_SYSTEM = $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
export DEB_HOST_ARCH DEB_HOST_GNU_CPU DEB_HOST_GNU_SYSTEM
endif

# We loop over all needed combinations of ARCH, SUBARCH, MEDIUM, FLAVOUR
# via recursive make calls. ARCH is constant, we don't support
# crosscompiling.
ARCH = $(DEB_HOST_ARCH)

# By default, we just advertise what we can do.
.PHONY: all
all: list

# Globally useful variables.
targetstring = $(patsubst _%,%,$(if $(SUBARCH),_$(SUBARCH),)$(if $(MEDIUM),_$(MEDIUM),)$(if $(FLAVOUR),_$(FLAVOUR),))
targetdirs = $(subst _,/,$(targetstring))


# Configurations for the varying ARCH, SUBARCH, MEDIUM, FLAVOUR.
# For simplicity, we use a similiar tree layout for config/, tmp/
# and dest/.
#
# Cheap trick: if one of the variables isn't defined, we run in
# a non-existing file and ignore it.
include config/common
include config/dir
-include config/$(ARCH).cfg
-include config/$(ARCH)/$(SUBARCH).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM).cfg
-include config/$(ARCH)/$(SUBARCH)/$(MEDIUM)/$(FLAVOUR).cfg
-include config/local

export KEYRING

# Useful command sequences
define submake
  $(MAKE) --no-print-directory
endef

define recurse_once
  @set -e; $(submake) $(1)_$(2)
endef

define recurse_many
  @set -e; $(foreach var,$($(1)_SUPPORTED),$(submake) $(2)_$(3) $(1)=$(var);)
endef

define recurse
  $(if $($(1)_SUPPORTED),$(call recurse_many,$(1),$(2),$(3)),$(call recurse_once,$(2),$(3)))
endef

define genext2fs
  genext2fs -d $(TREE) -b `expr $$(du -s $(TREE) | cut -f 1) + $$(expr $$(find $(TREE) | wc -l) \* 2)` -m 0
endef

define mkinitramfs
  (cd $(TREE) && find . | cpio --quiet -o -H newc) > 
endef

define e2fsck
  e2fsck -fy
endef

define mkcramfs
  mkcramfs -z $(TREE)
endef

# Define MKFS_JFFS2 in the config file for your target.
# For example: MKFS_JFFS2 = mkfs.jffs2 -f -p -b -e 0x20000
define mkjffs2
  $(MKFS_JFFS2) -d $(TREE) -o
endef

# A generic recursion rule
.PHONY: all_%
all_%:
	@install -d $(STAMPS)
	$(call recurse,SUBARCH,subarch,$*)

.PHONY: subarch_%
subarch_%:
	$(call recurse,MEDIUM,medium,$*)

.PHONY: medium_%
medium_%:
	$(call recurse,FLAVOUR,flavour,$*)

.PHONY: flavour_%
flavour_%:
	$(if $(targetstring),@$(submake) _$*)

# Validate a targetstring, echo env variables for valid ones
.PHONY: validate_%
validate_%:
	@set -e; \
	SUBARCH= var='$(subst _, ,$(subst validate_,,$@))'; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(SUBARCH_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(SUBARCH_SUPPORTED) |grep -w $$tmp)" ] || SUBARCH=$$tmp; \
	$(submake) medium_validate SUBARCH=$$SUBARCH var="$$var"

.PHONY: medium_validate
medium_validate:
	@set -e; \
	MEDIUM= var="$(strip $(patsubst $(SUBARCH)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(MEDIUM_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(MEDIUM_SUPPORTED) |grep -w $$tmp)" ] || MEDIUM=$$tmp; \
	$(submake) flavour_validate MEDIUM=$$MEDIUM var="$$var"

.PHONY: flavour_validate
flavour_validate:
	@set -e; \
	FLAVOUR= var="$(strip $(patsubst $(MEDIUM)%,%,$(var)))"; \
	tmp=$$(echo $$var |sed 's/[ ].*$$//'); \
	[ -z '$(FLAVOUR_SUPPORTED)' ] || [ -z "$$tmp" ] || [ -z "$$(echo $(FLAVOUR_SUPPORTED) |grep -w $$tmp)" ] || FLAVOUR=$$tmp; \
	$(submake) finish_validate FLAVOUR=$$FLAVOUR var="$$var"

.PHONY: finish_validate
finish_validate:
	@set -e; \
	var="$(strip $(patsubst $(FLAVOUR)%,%,$(var)))"; \
	if [ -z "$$var" ]; then \
		echo SUBARCH=$$SUBARCH MEDIUM=$$MEDIUM FLAVOUR=$$FLAVOUR; \
	else \
		echo SUBARCH= MEDIUM= FLAVOUR=; \
	fi;


# List all targets useful for direct invocation.
.PHONY: list
list:
	@echo "Useful targets:"
	@echo
	@echo "list"
	@echo "all_build"
	@echo "all_rebuild"
	@echo "stats"
	@echo "all_clean"
	@echo "reallyclean"
	@echo
	@$(submake) all_list

.PHONY: _list
_list:
	@set -e; \
	echo build_$(targetstring); \
	echo stats_$(targetstring); \
	$(if $(findstring $(MEDIUM),$(WRITE_MEDIA)),echo write_$(targetstring);) \
	echo clean_$(targetstring); \
	echo rebuild_$(targetstring); \
	echo demo_$(targetstring); \
	echo shell_$(targetstring); \
	echo uml_$(targetstring); \
	echo qemu_$(targetstring); \
	echo


# Clean all targets.
.PHONY: reallyclean
reallyclean: all_clean
	rm -rf $(APTDIR) $(APTDIR).udeb $(APTDIR).deb $(BASE_DEST) $(BASE_TMP) $(SOURCEDIR) $(DEBUGUDEBDIR)
	rm -f sources.list sources.list.udeb $(LOCALUDEBDIR)/Packages.gz $(LOCALUDEBDIR)/Packages
	rm -rf $(UDEBDIR) $(STAMPS)

# For manual invocation, we provide a generic clean rule.
.PHONY: clean_%
clean_%:
	@$(submake) _clean $(shell $(submake) $(subst clean_,validate_,$@))
	update-manifest

# The general clean rule.
.PHONY: _clean
_clean: tree_umount
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	-rm -f $(STAMPS)tree-unpack-$(targetstring)-stamp $(STAMPS)tree-$(targetstring)-stamp $(STAMPS)extra-$(targetstring)-stamp $(STAMPS)get_udebs-$(targetstring)-stamp
	rm -f $(TEMP)/diskusage.txt
	rm -f $(TEMP)/all.utf
	rm -f $(TEMP)/unifont.bdf $(TREE)/lib/unifont.bgf
	rm -f pkg-lists/standard-udebs pkg-lists/kernel-module-udebs
	rm -rf $(TARGET)
	rm -rf $(TEMP)

# all_build is provided automagically, but for manual invocation
# we provide a generic build rule.
.PHONY: build_%
build_%:
	@install -d $(STAMPS)
	@$(submake) _build $(shell $(submake) $(subst build_,validate_,$@))

# The general build rule.
.PHONY: _build
_build:
	@[ -n "$(SUBARCH) $(MEDIUM) $(FLAVOUR)" ] || { echo "invalid target"; false; }
	@$(submake) tree_umount $(EXTRATARGETS) $(TARGET)

# Convenience rules to clean and build.
.PHONY: rebuild_%
rebuild_%:
	@$(submake) clean_$(subst rebuild_,,$@) build_$(subst rebuild_,,$@)

.PHONY: _rebuild
_rebuild:
	@$(submake) _clean _build

# Run before releasing built files.
release:
	egrep '^[[:space:]]' $(BASE_DEST)/MANIFEST.udebs | \
		sed 's/^[[:space:]]*//' | sort | uniq > $(BASE_DEST)/udeb.list
	rm -f $(BASE_DEST)/MD5SUMS
	cd $(BASE_DEST) && md5sum `find . -type f` > MD5SUMS

# The general tree target.
$(STAMPS)tree-unpack-$(targetstring)-stamp: $(STAMPS)get_udebs-$(targetstring)-stamp
	dh_testroot
	cd .. && dpkg-checkbuilddeps
	@rm -f $@

	# This build cannot be restarted, because dpkg gets confused.
	rm -rf $(TREE)
	# Set up the basic files [u]dpkg needs.
	mkdir -p $(DPKGDIR)/info
	touch $(DPKGDIR)/status
	# Create a tmp tree
	mkdir -p $(TREE)/tmp
	# Only dpkg needs this stuff, so it can be removed later.
	mkdir -p $(DPKGDIR)/updates/
	touch $(DPKGDIR)/available

ifdef TRANSSTATUS
	# Include translation status file; warn if older than 2 weeks.
	# Do this first to make possible warnings more visible.
	@echo; \
	if [ -f "$(TRANSSTATUS)" ]; then \
		olddate=$$(grep "^# Generated on:" $(TRANSSTATUS) | sed "s/.*: //"); \
		if [ "$$olddate" ]; then \
			if [ $$(( $$(date -u "+%s") - \
			          $$(date -d "$$olddate" "+%s") \
			       )) -gt 1209600 ]; then \
				echo "WARNING: The data in '$(TRANSSTATUS)' is older than 2 weeks."; \
				echo "         Should it maybe be updated?"; \
				sleep 15; \
			fi; \
		else \
			echo "WARNING: no timestamp found in $(TRANSSTATUS)."; \
			sleep 15; \
		fi; \
		mkdir -p $(TREE)/usr/share/localechooser; \
		cp $(TRANSSTATUS) $(TREE)/usr/share/localechooser/translation-status; \
	else \
		echo "WARNING: the file $(TRANSSTATUS) does not exist."; \
		sleep 5; \
	fi
endif

	# Unpack the udebs with dpkg. This command must run as root
	# or fakeroot.
	echo -n > $(TEMP)/diskusage.txt
	set -e; \
	oldsize=0; oldblocks=0; oldcount=0; for udeb in $(UDEBDIR)/*.udeb ; do \
		if [ -f "$$udeb" ]; then \
			pkg=`basename $$udeb` ; \
			dpkg $(DPKG_UNPACK_OPTIONS) --log=/dev/null --root=$(TREE) --unpack $$udeb ; \
			newsize=`du -bs $(TREE) | awk '{print $$1}'` ; \
			newblocks=`du -s $(TREE) | awk '{print $$1}'` ; \
			newcount=`find $(TREE) -type f | wc -l | awk '{print $$1}'` ; \
			usedsize=`echo $$newsize - $$oldsize | bc`; \
			usedblocks=`echo $$newblocks - $$oldblocks | bc`; \
			usedcount=`echo $$newcount - $$oldcount | bc`; \
			version=`dpkg-deb --info $$udeb | grep '^ *Version:' | sed 's/^ *//' | awk '{print $$2}'` ; \
			echo " $$usedsize B - $$usedblocks blocks - $$usedcount files from $$pkg (version $$version)" >>$(TEMP)/diskusage.txt;\
			oldsize=$$newsize ; \
			oldblocks=$$newblocks ; \
			oldcount=$$newcount ; \
		fi; \
	done
	sort -n < $(TEMP)/diskusage.txt > $(TEMP)/diskusage.txt.new && \
		mv $(TEMP)/diskusage.txt.new $(TEMP)/diskusage.txt
	grep-dctrl -nsPackage,Version,Architecture '' $(TREE)/var/lib/dpkg/status | \
		perl -nle '$$p = $$_; $$v = <>; chomp $$v; $$a = <>; chomp $$a; <>; print "$$p $$v $$a"' | \
		sort > $(TEMP_UDEB_LIST)

	# Clean up after dpkg.
	rm -rf $(DPKGDIR)/updates
	rm -f $(DPKGDIR)/available $(DPKGDIR)/*-old $(DPKGDIR)/lock

ifdef EXTRAFILES
	# Copy in any extra files.
	set -e; \
	for file in $(EXTRAFILES); do \
		mkdir -p $(TREE)/`dirname $$file`; \
		cp -a $$file $(TREE)/$$file; \
	done
endif

ifdef KERNELVERSION
	# Set up modules.dep, ensure there is at least one standard dir (kernel
	# in this case), so depmod will use its prune list for archs with no
	# modules.
	set -e; \
	$(foreach VERSION,$(KERNELVERSION), \
		sysmap_name=; sysmap_opt=; \
		if [ -n "$(VERSIONED_SYSTEM_MAP)" ]; then \
			[ ! -e $(TREE)/boot/System.map-$(VERSION) ] || sysmap_name="$(TREE)/boot/System.map-$(VERSION)"; \
		else \
			[ ! -e $(TREE)/boot/System.map ] || sysmap_name="$(TREE)/boot/System.map"; \
		fi; \
		[ -z "$$sysmap_name" ] || sysmap_opt="-F $$sysmap_name"; \
		if [ -d $(TREE)/lib/modules/$(VERSION) ] && [ -z "$(OMIT_DEPMOD)" ]; then \
			mkdir -p $(TREE)/lib/modules/$(VERSION)/kernel; \
			$(shell choose-subarch-env $(VERSION)) depmod $$sysmap_opt -q -a -b $(TREE)/ $(VERSION); \
		fi; \
		[ -z "$$sysmap_name" ] || mv $$sysmap_name $(TEMP);)

	# These files depmod makes are used by hotplug, if it's being used;
	# otherwise, we shouldn't need them. Some files aren't even used by
	# hotplug, so never include them.
	if [ -d $(TREE)/etc/udev ] || [ -d $(TREE)/etc/hotplug ]; then \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -name modules.alias \
			-not -name 'modules.*map' \
			-not -type d | xargs rm -f; \
	else \
		find $(TREE)/lib/modules/ -name 'modules*' \
			-not -name modules.dep -not -type d | xargs rm -f; \
	fi

	# These files are used to build special kernel images for some
	# subarchitectures. Move them out of the way.

=== debian/changelog ===
debian-installer (20080522ubuntu23) intrepid; urgency=low

  * Take /usr/share/localechooser/languagelist.data.gz into account when
    building reduced font (LP: #287668).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 26 Oct 2008 00:17:47 +0100

debian-installer (20080522ubuntu22) intrepid; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Oct 2008 23:28:51 +0100

debian-installer (20080522ubuntu21) intrepid; urgency=low

  * Move lpia to 2.6.27-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 23:28:11 +0100

debian-installer (20080522ubuntu20) intrepid; urgency=low

  * Update help text translations from Launchpad.
  * Use unversioned nic-firmware and scsi-firmware packages instead of the
    old versioned ones (LP: #220917).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 16 Oct 2008 20:03:00 +0100

debian-installer (20080522ubuntu19) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Oct 2008 16:21:02 +0100

debian-installer (20080522ubuntu18) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-6 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 08 Oct 2008 09:21:02 +0100

debian-installer (20080522ubuntu17) intrepid; urgency=low

  * Move ports architectures to 2.6.25-2 kernels.
  * Move mainline architectures to 2.6.27-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 06 Oct 2008 10:54:41 +0100

debian-installer (20080522ubuntu16) intrepid; urgency=low

  * No-change rebuild to pick up new components, including disabling the
    broken e1000e driver.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 27 Sep 2008 08:22:51 +0100

debian-installer (20080522ubuntu15) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Sep 2008 16:33:30 +0100

debian-installer (20080522ubuntu14) intrepid; urgency=low

  * Move lpia to 2.6.27-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Sep 2008 19:37:05 +0100

debian-installer (20080522ubuntu13) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-3 kernels.
  * Move lpia to 2.6.27-2 kernels.
  * Move 386 back to 2.6.25-1 kernels, since it's built from linux-ports.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 11 Sep 2008 21:36:54 +0100

debian-installer (20080522ubuntu12) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 29 Aug 2008 15:22:40 +0100

debian-installer (20080522ubuntu11) intrepid; urgency=low

  * Move mainline architectures to 2.6.27-1 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 27 Aug 2008 23:15:46 +0100

debian-installer (20080522ubuntu10) intrepid; urgency=low

  * No-change rebuild to pick up new components (particularly busybox and
    preseed).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 21 Aug 2008 17:59:27 +0100

debian-installer (20080522ubuntu9) intrepid; urgency=low

  * Add support for lpia.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Aug 2008 19:16:55 +0100

debian-installer (20080522ubuntu8) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-5 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 Aug 2008 01:12:47 +0100

debian-installer (20080522ubuntu7) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Jul 2008 09:59:45 +0100

debian-installer (20080522ubuntu6) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-3 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 10:07:13 +0100

debian-installer (20080522ubuntu5) intrepid; urgency=low

  * Move mainline architectures to 2.6.26-2 kernels.
  * Revert fs-core-modules change; isofs is now back in storage-core-modules
    where it belongs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Jun 2008 10:54:34 +0100

debian-installer (20080522ubuntu4) intrepid; urgency=low

  * Remove build/boot/x86/boot.txt.live, no longer used.
  * Another System.map fix for sparc.
  * Temporarily add fs-core-modules to cdrom initrd, since isofs was moved
    there. It should really be moved back to storage-core-modules.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jun 2008 21:28:03 +0100

debian-installer (20080522ubuntu3) intrepid; urgency=low

  * Disable VERSIONED_SYSTEM_MAP again for sparc.
  * Fix some leftover calls to bootscreen-subst (renamed to bootvars-subst).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jun 2008 11:12:39 +0100

debian-installer (20080522ubuntu2) intrepid; urgency=low

  * Move back to 2.6.25-1 kernels for ports architectures.
  * Disable GTK frontend on amd64 too.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Jun 2008 17:54:38 +0100

debian-installer (20080522ubuntu1) intrepid; urgency=low

  * Bump hd-media image size to 800MB so that Ubuntu ISO images fit on them
    (LP: #225402).
  * Resynchronise with Debian. Remaining changes:
    - Ubuntu branding of various kinds.
    - Use Ubuntu kernels. Various tweaks for different udeb splits.
    - Fetch distribution name and version number from lsb_release.
    - Use the full version number in image directories.
    - Build-depend on belocs-locales-bin.
    - Various boot screen text adjustments.
    - Add cli boot options.
    - Add memtest boot option.
    - Add live CD boot screens.
    - Adjust memory size recommendations.
    - Document pci=noacpi.
    - Add translatable boot screen text for gfxboot. Adjust existing text to
      refer to gfxboot UI where appropriate.
    - Use ubuntu-keyring-udeb (and gpgv-udeb) instead of the Debian archive
      keyring.
    - Switch all images to initramfs.
    - Add netboot images suitable for USB memory sticks.
    - Remove floppy support, since it never used to work with 2.6. (This may
      be fixed in the future.)
    - Disable GTK frontend.


=== debian/control ===
Source: debian-installer
Section: devel
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
Standards-Version: 3.6.2
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
Build-Conflicts: libnewt-pic [mipsel]
# NOTE: Do not edit the next line by hand. See comment below.
Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [i386 amd64 lpia], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64 lpia], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64 lpia], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64 lpia], python [i386 amd64 lpia], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386 lpia], mkvmlinuz [powerpc ppc64], openssl [arm armel]
# This package has the worst Build-Depends in Debian, so it deserves some
# explanation. Note that this comment can also be used to generate a
# Build-Depends line, by running the debian/genbuilddeps program.
# So put each build dep on its own line, prefixed by " - " and to
# comment out a build dep, start the line with two hashes. And don't edit
# the Build-Depends line above by hand.
#
# Base build dependencies:
#	- debhelper (>= 4)
#		Of course.
# 	- apt
# 		Used for downloading udebs.
# 	- apt-utils
# 		apt-ftparchive is used for including localudebs.
#	- gnupg
#		New versions of apt need gnupg for security checks.
#	- ubuntu-keyring
#		To provide the archive key for security checks.
#	- dpkg (>= 1.13.9)
#		We tweak dpkg logging options only understood by this
#		version.
#	- dctrl-tools
#		Various manipulations of the udeb Packages files.
#	- bc
#		Used for some image size calculations.
#	- debiandoc-sgml
#		partman's manual is in debiandoc.
#	- xsltproc
#	- docbook-xsl
#		The d-i internals manual is in DocBook XML.
#	- libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386]
#		For bdftobogl used in font reduction.
#	- lsb-release
#		Provides system version information.
#	- belocs-locales-bin
#		Used to make sure that installation-locale is using a locale
#		data format that everything else can understand.
#	
# Library build dependencies:
#	- glibc-pic
#		For library reduction.
#	- libslang2-pic (>= 2.0.6-4)
#		Make dependency versioned temporarily to make sure we avoid #392942
#	- libnewt-pic [!mipsel]
#		Rather than use slang and newt udebs, reduced versions of
#		the libraries are put onto images to save space.
#	- libnewt-dev [mipsel]
#		On mipsel, we can't use libnewt-pic right now due to bug
#		#329733. See also Build-Conflicts above.
#	- libgcc1 [i386 amd64 lpia]
#		On x86 we need to include /lib/libgcc_s.so.1 in g-i initrds to
#		work around #373253 until upstream can remove pthread_cancel()
#		On i386 
#		calls in directfb. For now, this is done by setting EXTRAFILES.
#
# Filesystem tools:
#	- cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel]
#		For arches that use cramfs initrds.
#	- genext2fs (>= 1.3-7.1)
#		For creating ext2 filesystems without being root.
#		1.3-7.1 fixes issues on several arches.
#	- e2fsprogs
#		genext2fs doesn't produce perfect filesystems, so we fsck
#		them.
#		Lintian: Yes, we know it's essential. We prefer not to
#		count on it remaining so.
#	- mklibs (>= 0.1.25)
#		We use mklibs for library reduction.
#	- mklibs-copy [mips mipsel]
#		Temporarily used because mklibs doesn't work (see #445507)
#	- genisoimage [!s390 !s390x]
#		For making mini isos.
#	- genromfs [sparc]
#		Used for creating sparc floppies (which are not built by
#		default.)
#	- hfsutils [powerpc ppc64]
#		For making bootable HFS USB sticks for powerpc.
#	- dosfstools [i386 ia64 m68k amd64 lpia]
#		For creating FAT filesystems with mkfs.msdos.
#		Of course i386/amd64/lpia use this for floppies, CDs etc.
#		ia64 uses it for floppies (?)
#		m68k uses it for atari floppies
#	- cpio
#		For creating initramfs images.
#	- devio [arm armeb armel]
#		Tool to read and write from block devices, used to byteswap
#		kernels and add nslu2 boot magic.
#	- slugimage (>= 0.10+r58-6) [arm armeb armel]
#		For building nslu2 firmware images.
#	- nwutil [arm]
#		For building netwinder netinst images.
#
# Boot loaders:
#	On many arches boot loaders are copied onto or ran on the boot
#	images in one way or another. There's a reason our mailing list is
#	still called debian-boot..
#	- syslinux (>= 2.11-0.1) [i386 amd64 lpia]
#		There were some crippling bugs in version 2.10.
#	- palo [hppa]
#	- elilo [ia64]
#	- yaboot [powerpc ppc64]
#		For all our powerpc boot needs. Well, not really.
#	- aboot (>= 0.9b-2) [alpha]
#		A previous version didn't have netabootwrap.
#	- silo [sparc]
#		Using silo is problimatic since it needs to run as root,
#		so images that need it are not built by default, but we
#		include it for completeness.
#	- sparc-utils [sparc]
#		For elftoaout and piggyback, to make netboot images.
#	- genisovh [mips]
#		Makes mini iso images bootable on SGI MIPSen.
#	- delo [mipsel]
#		For booting DECstations from storage media.
#	- tip22 [mips]
#		Piggyback netboot images.
#	- colo (>= 1.21-1) [mipsel]
#		For booting Cobalt machines. This version has TFTP support.
#	- sibyl [mips mipsel]
# 		For booting the SWARM board.
#	- atari-bootstrap [m68k]
#		Booting and other tools for Atari systems.
#	- vmelilo [m68k]
#	- m68k-vme-tftplilo [m68k]
#		For VME machines, although it doesn't yet support running
#		as non-root, the install will try to use it and fall back
#		to a warning when it fails.
#	- amiboot [m68k]
#		Bootloader for m68k/amiga machines.
#	- emile [m68k]
#	- emile-bootblocks [m68k]
#		Bootloader for m68k/mac machines.
#	- apex-nslu2 [arm armeb armel]
#		2nd stage bootloader for Linksys NSLU2.
# Architecture specific build dependencies:
#	- tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64]
#		For todos, used on files that need to be accessible from
#		DOS.
#	- mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64]
#		mcopy is used to put files onto FAT filesystems w/o
#		mounting them.
#	- po4a [i386 amd64 lpia]
#	- python [i386 amd64 lpia]
#		For building gfxboot help texts.
#
#	- module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc]
#		depmod for 2.6 kernels on the arches that support 2.6.
#
#	- bf-utf-source [!s390 !s390x]
#		Contains the unicode font we use. Not a udeb since we
#		perform font reduction at build time.
#	- upx-ucl (>= 3) [i386 lpia]
#		i386 uses upx to compress kernels and other binaries.
#	- mkvmlinuz [powerpc ppc64]
#		Used to make powerpc images that can boot direct from
#		firmware w/o using a boot loader.
#	- openssl [arm armel]
#		Used to encrypt a firmware image so an ARM based device
#		(Thecus N2100) will accept it.

Package: debian-installer
Architecture: any
Description: Debian installer
 This package currently only contains some documentation for the Debian
 installer. We welcome suggestions about what else to put in it.

=== debian/rules ===
#!/usr/bin/make -f

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
VERSION=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
ifeq (${SUITE},UNRELEASED)
USE_UDEBS_FROM=intrepid
TRANSSTATUS=
else
USE_UDEBS_FROM=$(SUITE)
TRANSSTATUS=translation-status
endif

ARCHIVEDIR=debian/tmp/installer-$(ARCH)
DESTDIR=$(ARCHIVEDIR)/$(VERSION)
IMAGEDIR=$(DESTDIR)/images
TARNAME=debian-installer-images_$(VERSION)_$(ARCH).tar.gz

clean:
	dh_testdir
	dh_testroot
	dh_clean build-stamp
	$(MAKE) -C build reallyclean
	$(MAKE) -C doc/devel/partman clean
	$(MAKE) -C doc/devel/internals clean

# Must run as root, so is not run as part of regular build.
build-images:
	$(MAKE) -C build all_build stats release \
		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
		TRANSSTATUS=$(TRANSSTATUS)
	
build: build-stamp
build-stamp:
	rm -f $@
	$(MAKE) -C doc/devel/internals
	$(MAKE) -C doc/devel/partman
	touch $@

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	debian/rules build-images

	install -d $(IMAGEDIR)
	cp -a build/dest/* $(IMAGEDIR)
	ln -s $(VERSION) $(ARCHIVEDIR)/current

binary-arch: install  
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs doc/* -X Makefile -X build.sh -X .xsl \
		-X internals.xml -X partman-doc.sgml
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	cd debian/tmp && tar czvf ../../../$(TARNAME) .
	dpkg-distaddfile $(TARNAME) raw-installer -

binary-indep:

binary: binary-indep binary-arch 
.PHONY: build build-images clean binary-indep binary-arch binary install

## debian-installer 20080522ubuntu29

=== debian/changelog ===
debian-installer (20080522ubuntu29) intrepid-proposed; urgency=low

  * Move mainline architectures to 2.6.27-14 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 May 2009 09:29:09 +0100

debian-installer (20080522ubuntu28) intrepid-proposed; urgency=low

  * Move mainline architectures to 2.6.27-13 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 10:06:27 +0000

debian-installer (20080522ubuntu27) intrepid-proposed; urgency=low

  * Move mainline architectures to 2.6.27-12 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Feb 2009 15:04:02 +0000

debian-installer (20080522ubuntu26) intrepid-proposed; urgency=low

  * Move mainline architectures to 2.6.27-11 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 23 Jan 2009 18:23:21 +0000

debian-installer (20080522ubuntu25) intrepid-proposed; urgency=low

  * Use udebs from intrepid-security, intrepid-proposed, and
    intrepid-updates.
  * Dump the generated sources.list.udeb to the build log.
  * Move mainline architectures to 2.6.27-10 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 24 Nov 2008 17:03:46 +0000

debian-installer (20080522ubuntu24) intrepid-proposed; urgency=low

  * Move mainline architectures to 2.6.27-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 21 Nov 2008 23:05:42 +0000

## debian-installer 20081029ubuntu34

=== debian/changelog ===
debian-installer (20081029ubuntu34) jaunty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 17 Apr 2009 15:54:11 +0100

debian-installer (20081029ubuntu33) jaunty; urgency=low

  * Revert arm KERNELVERSION change for now; this needs to be done in sync
    with a change in debian/d-i/kernel-versions.in in the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 10 Apr 2009 13:21:46 +0100

debian-installer (20081029ubuntu32) jaunty; urgency=low

  [ Colin Watson ]
  * Update help text translations from Launchpad.

  [ Loic Minier ]
  * arm.cfg, armel.cfg: only allow a single version in KERNELVERSION; don't
    use the kernel version in the KERNELNAME.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 10:20:10 +0100

debian-installer (20081029ubuntu31) jaunty; urgency=low

  * Update help text translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 02 Apr 2009 18:54:32 +0100

debian-installer (20081029ubuntu30) jaunty; urgency=low

  * Move ports architectures to 2.6.28-6 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 31 Mar 2009 14:44:19 -0700

debian-installer (20081029ubuntu29) jaunty; urgency=low

  [ Michael Casadevall ]
  * Added initial imx51 installer support, in both the CDROM and netboot
    versions (LP: #345534).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Mar 2009 12:33:43 +0100

debian-installer (20081029ubuntu28) jaunty; urgency=low

  * Remove armel orion5x subarchitecture, per the kernel team.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Mar 2009 14:14:11 +0000

debian-installer (20081029ubuntu27) jaunty; urgency=low

  [ Colin Watson ]
  * Adjust netboot/386 inclusion to avoid breaking lpia.

  [ Michael Casadevall ]
  * Fixed ia64 d-i builds by bumping image size
    - The build failure "Disk Full" was caused by the last linux-ports
      kernel upload due to the size of the kernel growing. d-i on ia64
      makes a large "floppy" disk image of a specified size (this was 16MB
      before hand). The new kernel plus the RAMdisk came out to be 17.1MB,
      causing the failure. The new size is 18MB to give the kernel some
      growing room.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Mar 2009 09:34:13 +0000

debian-installer (20081029ubuntu26) jaunty; urgency=low

  * Move mainline architectures to 2.6.28-11 kernels.
  * Move ports architectures to 2.6.28-5 kernels.
  * Re-enable netboot/386 as a ports architecture, since it builds again.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Mar 2009 00:58:07 +0000

debian-installer (20081029ubuntu25) jaunty; urgency=low

  * Disable armel/orion5x/netboot/mv2120 flavour for now, since the kernel
    is slightly too big.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Mar 2009 14:07:23 +0000

debian-installer (20081029ubuntu24) jaunty; urgency=low

  * Move mainline architectures to 2.6.28-9 kernels.
  * Move ports architectures to 2.6.28-4 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Mar 2009 21:50:51 +0000

debian-installer (20081029ubuntu23) jaunty; urgency=low

  * No-change rebuild to pick up new components.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Mar 2009 10:24:03 +0000

debian-installer (20081029ubuntu22) jaunty; urgency=low

  * No-change rebuild to pick up new components (particularly udev with the
    inotify-watch-on-device-remove fix, and debian-installer-utils with
    update-dev --settle).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Feb 2009 15:40:35 +0000

debian-installer (20081029ubuntu21) jaunty; urgency=low

  * No-change rebuild to pick up new kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Feb 2009 14:50:57 +0000

debian-installer (20081029ubuntu20) jaunty; urgency=low

  * No-change rebuild to pick up new components (particularly udev and
    rescue).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Feb 2009 18:59:16 +0000

debian-installer (20081029ubuntu19) jaunty; urgency=low

  [ Colin Watson ]
  * Remove console-setup from armel network-console initrds, per Oliver
    Grawert.

  [ Steve Langasek ]
  * Move ports architectures to 2.6.28-2 kernels.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Feb 2009 10:45:33 -0800

debian-installer (20081029ubuntu18) jaunty; urgency=low

  * Add cdebconf-newt-terminal to most images that include
    cdebconf-newt-udeb (although not floppies).
  * Add nic-firmware to armel ixp4xx netboot images.
  * Remove build-dependency on belocs-locales-bin; this was folded back into
    glibc.
  * Move mainline architectures (now including lpia) to 2.6.28-8 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 16 Feb 2009 16:16:19 +0000

debian-installer (20081029ubuntu17) jaunty; urgency=low

  [ Colin Watson ]
  * Fix my confused comment change in nslu2 initrd padding code (thanks,
    Loïc Minier).

  [ Luke Yelavich ]
  * Move ports architectures to 2.6.28-1 kernels.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 16 Feb 2009 18:16:51 +1100

debian-installer (20081029ubuntu16) jaunty; urgency=low

  * Remove bootchart-udeb; it's been unmaintained for a long time, may not
    work properly any more anyway, and we hardly ever used it.
  * Document new $default_filesystem substitution and $default_filesystem{ }
    internal specifier in partman recipes.
  * Move mainline architectures to 2.6.28-7 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Feb 2009 10:37:43 +0000

debian-installer (20081029ubuntu15) jaunty; urgency=low

  * Move lpia to 2.6.28-2 kernels.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 04 Feb 2009 12:08:49 +0100

debian-installer (20081029ubuntu14) jaunty; urgency=low

  * Remove CD-specific language from boot screens (LP: #14722).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 02 Feb 2009 14:00:22 +0100

debian-installer (20081029ubuntu13) jaunty; urgency=low

  * Disable armel ads subarchitecture. We don't have a kernel for it (not


=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.6.2
-XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/installer
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/debian-installer/ubuntu
 Build-Conflicts: libnewt-pic [mipsel]
 # NOTE: Do not edit the next line by hand. See comment below.
-Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, belocs-locales-bin, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic [!mipsel], libnewt-dev [mipsel], libgcc1 [i386 amd64 lpia], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64 lpia], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], syslinux (>= 2.11-0.1) [i386 amd64 lpia], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], delo [mipsel], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64 lpia], python [i386 amd64 lpia], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386 lpia], mkvmlinuz [powerpc ppc64], openssl [arm armel]
+Build-Depends: debhelper (>= 4), apt, apt-utils, gnupg, ubuntu-keyring, dpkg (>= 1.13.9), dctrl-tools, wget, bc, debiandoc-sgml, xsltproc, docbook-xsl, libbogl-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], lsb-release, glibc-pic, libslang2-pic (>= 2.0.6-4), libnewt-pic (>= 0.52.2-11.3) [!mipsel], libnewt-dev (>= 0.52.2-11.3) [mipsel], libgcc1 [i386 amd64 lpia], cramfsprogs [powerpc ppc64 ia64 mips mipsel arm armeb armel], genext2fs (>= 1.3-7.1), e2fsprogs, mklibs (>= 0.1.25), mklibs-copy [mips mipsel], genisoimage [!s390 !s390x], genromfs [sparc], hfsutils [powerpc ppc64], dosfstools [i386 ia64 m68k amd64 lpia], cpio, devio [arm armeb armel], slugimage (>= 0.10+r58-6) [arm armeb armel], nwutil [arm], uboot-mkimage [arm armel], syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia], palo [hppa], elilo [ia64], yaboot [powerpc ppc64], aboot (>= 0.9b-2) [alpha], silo [sparc], sparc-utils [sparc], genisovh [mips], tip22 [mips], colo (>= 1.21-1) [mipsel], sibyl [mips mipsel], atari-bootstrap [m68k], vmelilo [m68k], m68k-vme-tftplilo [m68k], amiboot [m68k], emile [m68k], emile-bootblocks [m68k], apex-nslu2 [arm armeb armel], tofrodos [i386 amd64 lpia kfreebsd-i386 kfreebsd-amd64], mtools (>= 3.9.9-1) [i386 ia64 m68k amd64 lpia kfreebsd-i386 kfreebsd-amd64], po4a [i386 amd64 lpia], python [i386 amd64 lpia], module-init-tools [i386 arm armeb armel amd64 alpha hppa ia64 lpia m68k mips mipsel powerpc ppc64 s390 sparc], bf-utf-source [!s390 !s390x], upx-ucl (>= 3) [i386 lpia], mkvmlinuz [powerpc ppc64], openssl [arm armel]
 # This package has the worst Build-Depends in Debian, so it deserves some
 # explanation. Note that this comment can also be used to generate a
 # Build-Depends line, by running the debian/genbuilddeps program.
@@ -33,6 +33,8 @@
 #		version.
 #	- dctrl-tools
 #		Various manipulations of the udeb Packages files.
+#	- wget
+#		Used to test validity of mirrors.
 #	- bc
 #		Used for some image size calculations.
 #	- debiandoc-sgml
@@ -44,19 +46,16 @@
 #		For bdftobogl used in font reduction.
 #	- lsb-release
 #		Provides system version information.
-#	- belocs-locales-bin
-#		Used to make sure that installation-locale is using a locale
-#		data format that everything else can understand.
 #	
 # Library build dependencies:
 #	- glibc-pic
 #		For library reduction.
 #	- libslang2-pic (>= 2.0.6-4)
 #		Make dependency versioned temporarily to make sure we avoid #392942
-#	- libnewt-pic [!mipsel]
+#	- libnewt-pic (>= 0.52.2-11.3) [!mipsel]
 #		Rather than use slang and newt udebs, reduced versions of
 #		the libraries are put onto images to save space.
-#	- libnewt-dev [mipsel]
+#	- libnewt-dev (>= 0.52.2-11.3) [mipsel]
 #		On mipsel, we can't use libnewt-pic right now due to bug
 #		#329733. See also Build-Conflicts above.
 #	- libgcc1 [i386 amd64 lpia]
@@ -101,13 +100,15 @@
 #		For building nslu2 firmware images.
 #	- nwutil [arm]
 #		For building netwinder netinst images.
+#	- uboot-mkimage [arm armel]
+#		For creating u-boot images
 #
 # Boot loaders:
 #	On many arches boot loaders are copied onto or ran on the boot
 #	images in one way or another. There's a reason our mailing list is
 #	still called debian-boot..
-#	- syslinux (>= 2.11-0.1) [i386 amd64 lpia]
-#		There were some crippling bugs in version 2.10.
+#	- syslinux (>= 2:3.63+dfsg-2) [i386 amd64 lpia]
+#		With menu default64 support.		
 #	- palo [hppa]
 #	- elilo [ia64]
 #	- yaboot [powerpc ppc64]
@@ -122,8 +123,6 @@
 #		For elftoaout and piggyback, to make netboot images.
 #	- genisovh [mips]
 #		Makes mini iso images bootable on SGI MIPSen.
-#	- delo [mipsel]
-#		For booting DECstations from storage media.
 #	- tip22 [mips]
 #		Piggyback netboot images.
 #	- colo (>= 1.21-1) [mipsel]

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,13 @@
 DATE=$(shell echo $(VERSION) | cut -d '.' -f 1)
 SUITE=$(shell LC_ALL=C dpkg-parsechangelog | grep ^Distribution: | cut -d ' ' -f 2 | cut -d - -f 1)
 ifeq (${SUITE},UNRELEASED)
-USE_UDEBS_FROM=intrepid
+USE_UDEBS_FROM=jaunty
 TRANSSTATUS=
+BOOTMENU_BEEP=n
 else
 USE_UDEBS_FROM=$(SUITE)
 TRANSSTATUS=translation-status
+BOOTMENU_BEEP=y
 endif
 
 ARCHIVEDIR=debian/tmp/installer-$(ARCH)
@@ -29,7 +31,7 @@
 build-images:
 	$(MAKE) -C build all_build stats release \
 		USE_UDEBS_FROM=$(USE_UDEBS_FROM) BUILD_DATE=$(DATE) \
-		TRANSSTATUS=$(TRANSSTATUS)
+		TRANSSTATUS=$(TRANSSTATUS) BOOTMENU_BEEP=$(BOOTMENU_BEEP)
 	
 build: build-stamp
 build-stamp:
